from datetime import datetime

from mower.utils.graph import SceneGraphSolver

from .sign_in import SignIn


class SignInSolver(SceneGraphSolver):
    def run(self):
        success = True
        if datetime.now() < datetime(2024, 10, 8):
            success = success and SignIn().run()
        return success
